scriptencoding utf-8

if !exists('autocommands_loaded') && has('autocmd')
	let autocommands_loaded = 1
	let ftToIgnore = ['markdown', 'html', 'text']

	aug OnInsert
		au InsertLeave * if &paste | setlocal nopaste | endif
		au InsertLeave * set nocursorline
		au InsertEnter * set cursorline
		au InsertLeave,CompleteDone * if pumvisible() == 0 | pclose | endif
	aug END

	aug Miscs
		au TextYankPost * silent! lua vim.highlight.on_yank{timeout = 80, on_visual=true}
		au BufEnter * set fo-=c fo-=r fo-=o
		au CursorHold,CursorHoldI * lua vim.lsp.diagnostic.show_line_diagnostics({focusable=false, show_header=false})
	aug END

	aug OnSave
		au BufWritePre * if index(ftToIgnore, &ft) < 0 | :%s/\s\+$//e
		au BufWritePost init.lua PackerSync
		au QuitPre * if empty(&buftype) | lclose | endif
	aug END

	let statusline_blacklist = ['terminal', 'fugitive', 'vista', 'diagnostics', 'qf']
	aug StatusLine
		au WinEnter,BufEnter * if index(statusline_blacklist, &ft) < 0 | setlocal statusline=%!v:lua.StatusLine()
		au WinLeave,BufLeave * if index(statusline_blacklist, &ft) < 0 | setlocal statusline=%!v:lua.StatusLineInactive()
	aug END
endif
